Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.virtual.lifecycle
Class LifeCycle

    java.lang.Object
      com.bea.content.virtual.lifecycle.LifeCycle

All Implemented Interfaces
  Serializable

Deprecated Please use the `Workflow` object for workflow operations

    @Deprecated
    public class LifeCycle

extends Object
implements Serializable

Represents the Life Cycle for a Node. Please use the com.bea.content.virtual.lifecycle.LifeCycleObject class. This class only uses a specific lifecycle document and does not work with custom lifecycle documents.

See Also
  Serialized Form

Field Summary
`static String` | `DEFAULT_LIFECYCLE_LOCATION` Deprecated
`static int` | `DRAFT` Deprecated
`static String` | `LIFECYCLE_STATUS_FIELD` Deprecated
`static int` | `PUBLISHED` Deprecated
`static int` | `READY` Deprecated
`static int` | `REJECTED` Deprecated
`protected RepositoryManager` | `repositoryManager` Deprecated
`static int` | `RETIRED` Deprecated

Constructor Summary
`LifeCycle(RepositoryManager repositoryManager)` Deprecated

Method Summary
`String` | `buildTaxonomy(ID nodeId)` Deprecated Build a taxonomy for the node id
`String` | `debugGetStatusText(int status)` Deprecated
`String` | `getId(ID id)` Deprecated Convert the id to a string representation.
`Set` | `getPublishRolesForNode(ID nodeId)` Deprecated Return all the published roles for the node represented by the node id.
`Set` | `getRolesForCapability(ID nodeId, String capability)` Deprecated For a given nodeId and capability, return all the roles set on the node.
`List` | `getStatusTransitions(ContentContext context, ID nodeId, int currentStatus)` Deprecated Returns a list of valid status transitions for the user.
`List` | `getTransitionActions(ContentContext context, ID nodeId, int fromState, int toState)` Deprecated Return a list of WorkflowAction objects which represent the actions to be executed when making a transition from one state to another.
`boolean` | `hasTransitionAccess(ContentContext context, ID nodeId, int status)` Deprecated Helper method to indicate whether or not a user has access to a from-status element.
`boolean` | `isUserInRole(ContentContext context, Set set)` Deprecated Checks to see if the current user is in any one of the passed in roles for that particular node

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_LIFECYCLE_LOCATION

    public static final String DEFAULT_LIFECYCLE_LOCATION

  Deprecated
  See Also
    Constants Summary

### DRAFT

    public static final int DRAFT

  Deprecated
  See Also
    Constants Summary

### READY

    public static final int READY

  Deprecated
  See Also
    Constants Summary

### REJECTED

    public static final int REJECTED

  Deprecated
  See Also
    Constants Summary

### PUBLISHED

    public static final int PUBLISHED

  Deprecated
  See Also
    Constants Summary

### RETIRED

    public static final int RETIRED

  Deprecated
  See Also
    Constants Summary

### LIFECYCLE_STATUS_FIELD

    public static final String LIFECYCLE_STATUS_FIELD

  Deprecated
  See Also
    Constants Summary

### repositoryManager

    protected RepositoryManager repositoryManager

  Deprecated

Constructor Detail

### LifeCycle

    public LifeCycle(RepositoryManager repositoryManager)

  Deprecated

Method Detail

### getStatusTransitions

    public List getStatusTransitions(ContentContext context,
                                     ID nodeId,
                                     int currentStatus)

  Deprecated
  Returns a list of valid status transitions for the user. The list contains Integer values of Status Transitions. This will load the status transitions from the lifecycle document for the user. If the specified repository has a lifecycle document defined (by setting it as a property in the repository called LIFECYCLE_LOCATION) it will try to use it. If it is not defined, it will try to load the file "default-lifecycle.xml" which is included in the content codebase. ("com/bea/content/virtual/lifecycle/schema/default-lifecycle.xml")

  Parameters
    `context` -
    `currentStatus` -
  Returns
    A list of valid status transitions for the user.

### debugGetStatusText

    @Deprecated
    public String debugGetStatusText(int status)

  Deprecated

  Debug method to return a string equivalent of the status

  Parameters
    `status` - The status integer
  Returns
    A string indicating the type of status

### getTransitionActions

    public List getTransitionActions(ContentContext context,
                                     ID nodeId,
                                     int fromState,
                                     int toState)
                              throws IOException,
                                     com.bea.xml.XmlException,
                                     ClassNotFoundException,
                                     InstantiationException,
                                     IllegalAccessException,
                                     AuthenticationException,
                                     AuthorizationException,
                                     NoSuchNodeException,
                                     com.bea.p13n.entitlements.common.EntitlementsException,
                                     RepositoryException

  Deprecated
  Return a list of WorkflowAction objects which represent the actions to be executed when making a transition from one state to another.

  Parameters
    `nodeId` - The nodeId on which actions are executed.
    `fromState` - The start point of the transition.
    `toState` - The end point of the transition.
  Returns
    A list of WorkflowAction objects, or an empty list if no transition actions are found. This method can also return an empty list if the user is not authorized to execute any actions for that transition.
  Throws
    `IOException`
    `com.bea.xml.XmlException`
    `ClassNotFoundException`
    `InstantiationException`
    `IllegalAccessException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RepositoryException`

### hasTransitionAccess

    public boolean hasTransitionAccess(ContentContext context,
                                       ID nodeId,
                                       int status)
                                throws IOException,
                                       com.bea.xml.XmlException,
                                       AuthenticationException,
                                       AuthorizationException,
                                       NoSuchNodeException,
                                       com.bea.p13n.entitlements.common.EntitlementsException,
                                       RepositoryException

  Deprecated
  Helper method to indicate whether or not a user has access to a from-status element. If the administrator has specified a capabilityConstraint/roleConstraint on the from-status element, this will check for the user's credentials to see if the current user matches these constraints.

  Parameters
    `context` - The contentContext object
    `nodeId` - The nodeID
    `status` - The status to check.
  Returns
    true if the user has access - false otherwise.
  Throws
    `IOException`
    `com.bea.xml.XmlException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RepositoryException`

### isUserInRole

    public boolean isUserInRole(ContentContext context,
                                Set set)
                         throws com.bea.p13n.entitlements.common.EntitlementsException

  Deprecated
  Checks to see if the current user is in any one of the passed in roles for that particular node

  Parameters
    `context` - The object which represents the user profile.
    `set` - A set of passed in string roles.
  Returns
    true or false indicating whether the user is in that role or not
  Throws
    `com.bea.p13n.entitlements.common.EntitlementsException`

### getPublishRolesForNode

    public Set getPublishRolesForNode(ID nodeId)
                               throws AuthenticationException,
                                      AuthorizationException,
                                      NoSuchNodeException,
                                      RepositoryException

  Deprecated
  Return all the published roles for the node represented by the node id. This will not only find the published role on that node id, but will also try to find published roles which are inherited by the node id. Finally, it will append the "Admin" role to the publish roles list.

  Parameters
    `nodeId` -
  Returns
    A Set of string roles for the given node id.
  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getRolesForCapability

    public Set getRolesForCapability(ID nodeId,
                                     String capability)
                              throws AuthenticationException,
                                     AuthorizationException,
                                     NoSuchNodeException,
                                     RepositoryException

  Deprecated
  For a given nodeId and capability, return all the roles set on the node.

  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### buildTaxonomy

    public String buildTaxonomy(ID nodeId)
                         throws AuthenticationException,
                                AuthorizationException,
                                NoSuchNodeException,
                                RepositoryException

  Deprecated
  Build a taxonomy for the node id

  Parameters
    `nodeId` -
  Returns
    The taxonomy for the node id.
  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getId

    public String getId(ID id)

  Deprecated
  Convert the id to a string representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.